/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for Abstract MultiDimensional Image Model Component Units
 */
public enum EnumCM_AbstractMultiDimensionalImageModelComponentUnits 
{
	//CID 7181 Abstract MultiDimensional Image Model Component Units
	NO_UNITS("no units"),
	RATIO("ratio"),
	HOUNSFIELD_UNIT("Hounsfield Unit"),
	COUNTS("Counts"),
	COUNTS_PER_SECOND("Counts per second"),
	ARBITRARY_UNIT("arbitrary unit"),
	CENTIMETER_PER_SECOND("centimeter/second"),
	MILLIMETER_PER_SECOND("millimeter/second"),
	DECIBEL("decibel"),
	DEGREES_CELSIUS("degrees Celsius"),
	MILLILITER_PER_MINUTE("milliliter per minute"),
	MILLILITER_PER_SECOND("milliliter per second"),
	MILLISECOND("millisecond"),
	SECOND("second"),
	HERTZ("Hertz"),
	MILLITESLA("milliTesla"),
	NUMBER_PARTICLES_PER_100_GRAM_OF_TISSUE("number particles per 100 gram of tissue"),
	SQUARE_MILLIMETER_PER_SECOND("square millimeter per second"),
	SECOND_PER_SQUARE_MILLIMETER("second per square millimeter"),
	MILLILITER_PER_100_GRAM_PER_MINUTE("milliliter per 100 gram per minute"),
	MILLILITER_PER_100_MILLILITER("milliliter per 100 milliliter"),
	MILLIMOLES_PER_KG_WET_WEIGHT("millimoles per kg wet weight"),
	PER_MIN("/min"),
	PER_SECOND("/s");
	

	private String value;
	
	EnumCM_AbstractMultiDimensionalImageModelComponentUnits(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Meaning.
	 */
	public String getValue()
	{
		return value;
	}
}
